/* Delete countries that no longer exist */

DELETE FROM `countries` WHERE `countries_iso_code_3` = 'ANT';
DELETE FROM `countries` WHERE `countries_iso_code_3` = 'FXX';
DELETE FROM `countries` WHERE `countries_iso_code_3` = 'TMP';
DELETE FROM `countries` WHERE `countries_iso_code_3` = 'YUG';
DELETE FROM `countries` WHERE `countries_iso_code_3` = 'ZAR';

/* Correction of country names */

UPDATE `countries` SET `countries_name` = 'Bolivia (Plurinational State of)' WHERE `countries_iso_code_3` = 'BOL';
UPDATE `countries` SET `countries_name` = 'Falkland Islands (Malvinas)' WHERE `countries_iso_code_3` = 'FLK';
UPDATE `countries` SET `countries_name` = 'Micronesia (Federated States of)' WHERE `countries_iso_code_3` = 'FSM';
UPDATE `countries` SET `countries_name` = 'Korea (the Democratic People''s Republic of)' WHERE `countries_iso_code_3` = 'PRK';
UPDATE `countries` SET `countries_name` = 'Korea (the Republic of)' WHERE `countries_iso_code_3` = 'KOR';
UPDATE `countries` SET `countries_name` = 'Libyan Arab Jamahiriya' WHERE `countries_iso_code_3` = 'LBY';
UPDATE `countries` SET `countries_name` = 'Moldova (the Republic of)' WHERE `countries_iso_code_3` = 'MDA';
UPDATE `countries` SET `countries_name` = 'Macedonia (the former Yugoslav Republic of)' WHERE `countries_iso_code_3` = 'MKD';
UPDATE `countries` SET `countries_name` = 'Saint Helena, Ascension and Tristan da Cunha' WHERE `countries_iso_code_3` = 'SHN';
UPDATE `countries` SET `countries_name` = 'Svalbard and Jan Mayen Islands' WHERE `countries_iso_code_3` = 'SJM';
UPDATE `countries` SET `countries_name` = 'Slovakia (Slovak Republic)' WHERE `countries_iso_code_3` = 'SVK';
UPDATE `countries` SET `countries_name` = 'Taiwan (Province of China)' WHERE `countries_iso_code_3` = 'TWN';
UPDATE `countries` SET `countries_name` = 'United States of America' WHERE `countries_iso_code_3` = 'USA';
UPDATE `countries` SET `countries_name` = 'Vatican City State (Holy See)' WHERE `countries_iso_code_3` = 'VAT';
UPDATE `countries` SET `countries_name` = 'Venezuela (Bolivarian Republic of)' WHERE `countries_iso_code_3` = 'VEN';
UPDATE `countries` SET `countries_name` = 'Wallis and Futuna Islands' WHERE `countries_iso_code_3` = 'WLF';
UPDATE `countries` SET `countries_name` = 'Bosnia and Herzegovina' WHERE `countries_iso_code_3` = 'BIH';
UPDATE `countries` SET `countries_name` = 'Cote d''Ivoire' WHERE `countries_iso_code_3` = 'CIV';
UPDATE `countries` SET `countries_name` = 'Cabo Verde' WHERE `countries_iso_code_3` = 'CPV';
UPDATE `countries` SET `countries_name` = 'Guinea-Bissau' WHERE `countries_iso_code_3` = 'GNB';
UPDATE `countries` SET `countries_name` = 'Heard Island and McDonald Islands' WHERE `countries_iso_code_3` = 'HMD';
UPDATE `countries` SET `countries_name` = 'Macao' WHERE `countries_iso_code_3` = 'MAC';
UPDATE `countries` SET `countries_name` = 'Réunion' WHERE `countries_iso_code_3` = 'REU';

/* update ISO Codes of japanese prefectures */

UPDATE `zones` SET `zone_code` = 'NI' WHERE `zone_name` = 'Niigata';
UPDATE `zones` SET `zone_code` = 'TY' WHERE `zone_name` = 'Toyama';
UPDATE `zones` SET `zone_code` = 'IS' WHERE `zone_name` = 'Ishikawa';
UPDATE `zones` SET `zone_code` = 'FI' WHERE `zone_name` = 'Fukui';
UPDATE `zones` SET `zone_code` = 'YN' WHERE `zone_name` = 'Yamanashi';
UPDATE `zones` SET `zone_code` = 'NN' WHERE `zone_name` = 'Nagano';
UPDATE `zones` SET `zone_code` = 'GF' WHERE `zone_name` = 'Gifu';
UPDATE `zones` SET `zone_code` = 'SZ' WHERE `zone_name` = 'Shizuoka';
UPDATE `zones` SET `zone_code` = 'AI' WHERE `zone_name` = 'Aichi';
UPDATE `zones` SET `zone_code` = 'ME' WHERE `zone_name` = 'Mie';
UPDATE `zones` SET `zone_code` = 'SH' WHERE `zone_name` = 'Shiga';
UPDATE `zones` SET `zone_code` = 'KY' WHERE `zone_name` = 'Kyoto';
UPDATE `zones` SET `zone_code` = 'OS' WHERE `zone_name` = 'Osaka';
UPDATE `zones` SET `zone_code` = 'HG' WHERE `zone_name` = 'Hyogo';
UPDATE `zones` SET `zone_code` = 'NR' WHERE `zone_name` = 'Nara';
UPDATE `zones` SET `zone_code` = 'WK' WHERE `zone_name` = 'Wakayama';
UPDATE `zones` SET `zone_code` = 'TT' WHERE `zone_name` = 'Tottori';
UPDATE `zones` SET `zone_code` = 'SM' WHERE `zone_name` = 'Shimane';
UPDATE `zones` SET `zone_code` = 'OY' WHERE `zone_name` = 'Okayama';
UPDATE `zones` SET `zone_code` = 'HS' WHERE `zone_name` = 'Hiroshima';
UPDATE `zones` SET `zone_code` = 'YC' WHERE `zone_name` = 'Yamaguchi';
UPDATE `zones` SET `zone_code` = 'TS' WHERE `zone_name` = 'Tokushima';
UPDATE `zones` SET `zone_code` = 'KG' WHERE `zone_name` = 'Kagawa';
UPDATE `zones` SET `zone_code` = 'EH' WHERE `zone_name` = 'Ehime';
UPDATE `zones` SET `zone_code` = 'KC' WHERE `zone_name` = 'Kochi';
UPDATE `zones` SET `zone_code` = 'FO' WHERE `zone_name` = 'Fukuoka';
UPDATE `zones` SET `zone_code` = 'SG' WHERE `zone_name` = 'Saga';
UPDATE `zones` SET `zone_code` = 'NS' WHERE `zone_name` = 'Nagasaki';
UPDATE `zones` SET `zone_code` = 'KM' WHERE `zone_name` = 'Kumamoto';
UPDATE `zones` SET `zone_code` = 'OT' WHERE `zone_name` = 'Oita';
UPDATE `zones` SET `zone_code` = 'MZ' WHERE `zone_name` = 'Miyazaki';
UPDATE `zones` SET `zone_code` = 'KS' WHERE `zone_name` = 'Kagoshima';
